Main Page Modules Data Structures File List Data Fields Globals Related Pages

# _dbiIndexSet Struct Reference
[DataBase Index element API.]

`#include <rpmdb.h>`

## Data Fields
_dbiIndexItem * | recs
int | count

## Detailed Description

Items retrieved from the index database.

Definition at line 69 of file rpmdb.h.

## Field Documentation

int _dbiIndexSet::count

| number of records Definition at line 71 of file rpmdb.h. Referenced by dbiIndexSetCount, dbt2set, rpmdbFindByFile, rpmdbFindFpList, rpmdbGetIteratorCount, rpmdbGrowIterator, rpmdbNextIterator, rpmdbRemove, and rpmdbSortIterator.

struct _dbiIndexItem* _dbiIndexSet::recs

| array of records Definition at line 70 of file rpmdb.h. Referenced by dbiFreeIndexSet, dbiIndexRecordFileNumber, dbiIndexRecordOffset, dbt2set, rpmdbFindFpList, rpmdbGrowIterator, and rpmdbSortIterator.

The documentation for this struct was generated from the following file:

- rpmdb/rpmdb.h